﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using OpenTK.Graphics.OpenGL;
using MathNet.Numerics.LinearAlgebra.Single;

namespace bbiwarg.Graphics.GraphicElements3D
{
    class Point3D : IGraphicElement3D
    {
        private Vector position;
        private Color color;
        private float size;

        public Point3D(Vector position, Color color, float size)
        {
            this.position = position;
            this.color = color;
            this.size = size;
        }

        public void draw()
        {
            GL.Color4(color);

            GL.Begin(BeginMode.Polygon);
            GL.Vertex3(position[0] - size/2, position[1] + size/2, -position[2]);
            GL.Vertex3(position[0] + size/2, position[1] + size/2, -position[2]);
            GL.Vertex3(position[0] + size/2, position[1] - size/2, -position[2]);
            GL.Vertex3(position[0] - size/2, position[1] - size/2, -position[2]);
            GL.End();
        }
    }
}
