﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using OpenTK.Graphics.OpenGL;
using MathNet.Numerics.LinearAlgebra.Single;

namespace bbiwarg.Graphics.GraphicElements3D
{
    class Rectangle3D : IGraphicElement3D
    {
        private Vector[] corners;
        private Color color;

        public Rectangle3D(Vector[] corners, Color color)
        {
            this.corners = corners;
            this.color = color;
        }

        public void draw()
        {
            GL.Color4(color);

            GL.Begin(BeginMode.Quads);
            GL.Vertex3(corners[0][0], corners[0][1], -corners[0][2]);
            GL.Vertex3(corners[1][0], corners[1][1], -corners[1][2]);
            GL.Vertex3(corners[2][0], corners[2][1], -corners[2][2]);
            GL.Vertex3(corners[3][0], corners[3][1], -corners[3][2]);
            GL.End();
        }
    }
}
